extends ../../layouts/app

block content
  // sidebar group
  .sidebar-group
    // Chats sidebar
    include partials/chats_sidebar

    // Friends sidebar
    include partials/friends_sidebar

    // include partials/listRequest

    // Favorites sidebar
    include partials/favorites_sidebar

  // chat
  .chat
    .chat-header
      .chat-header-user
        figure.avatar.avatar-lg
          img.rounded-circle(src='dist/images/man_avatar3.jpg')
        div
          h5 Karl Hubane
          small.text-muted
            i Online
      .chat-header-action
        ul.list-inline
          li.list-inline-item
            a.btn.btn-success(href='#')
              i.fa.fa-phone(aria-hidden='true')
          li.list-inline-item
            a.btn.btn-secondary(href='#')
              i.fa.fa-video-camera(aria-hidden='true')
          li.list-inline-item
            a.btn.btn-secondary(href='#' data-toggle='dropdown' aria-expanded='false')
              i.ti-more
            .dropdown-menu.dropdown-menu-right(x-placement='bottom-end' style='position: absolute; will-change: transform; top: 0px; left: 0px; transform: translate3d(1222px, 68px, 0px);')
              a.dropdown-item.active(href='#' data-navigation-target='contact-information') Profile
              a.dropdown-item(href='#') Add to archive
              a.dropdown-item(href='#') Delete
              .dropdown-divider
              a.dropdown-item(href='#') Block
    .chat-body(tabindex='2' style='overflow: hidden; outline: none;')
      .messages
        
    .chat-footer
      form(action='')#chatBar
        input.form-control(type='text' name ='message' placeholder="Recipient's username" aria-label="Recipient's username" aria-describedby='button-addon2')
        .form-buttons
          button.btn.btn-light.btn-floating(type='button')
            i.fa.fa-paperclip
          button.btn.btn-light.btn-floating(type='button')
            i.fa.fa-microphone
          button.btn.btn-primary.btn-floating(type='submit')
            i.fa.fa-send
  // ./ chat
  include partials/friend_profile
  script(src= 'https://cdnjs.cloudflare.com/ajax/libs/socket.io/2.3.0/socket.io.js')
  script.
    const socket = io.connect('/conversations');
    io.on('connect', function() {
      const conversationId = $('#');
      io.emit('join', conversationId);
    });

    io.on('newMessage', (data) => {
      $('');
    });
